﻿<script runat="server" language="VBScript">
' CKFinder
' ========
' http://www.ckfinder.com
' Copyright (C) 2007-2008 Frederico Caldeira Knabben (FredCK.com)
'
' The software, this file and its contents are subject to the CKFinder
' License. Please read the license.txt file before using, installing, copying,
' modifying or distribute this file or part of its contents. The contents of
' this file is part of the Source Code of CKFinder.

	''
	' @package CKFinder
	' @subpackage ErrorHandler
	' @copyright Frederico Caldeira Knabben

	''
	' QuickUpload error handler
	'
	' @package CKFinder
	' @subpackage ErrorHandler
	' @copyright Frederico Caldeira Knabben
	'
class CKFinder_Connector_ErrorHandler_QuickUpload
	'pseudo inheritance
	private base

	Private Sub Class_Initialize()
		Set base = new CKFinder_Connector_ErrorHandler_Base
	End Sub

	Private Sub Class_Terminate()
		Set base = nothing
	End Sub

	Public Property Let setCatchAllErrors(newValue)
		base.setCatchAllErrors newValue
	End Property

	function setSkipErrorsArray(newArray)
		base.setSkipErrorsArray newArray
	End Function

	''
	' Throw file upload error, return true if error has been thrown, false if error has been catched
	'
	' @param int $number
	' @param string $text
	' @access public
	'
	function throwError(number, text, debugText)
		If (base.SkipError(number)) Then Exit Function

'		response.clear
		Dim sFileName, sResponse, sFileUrl
		sFileName = oCKFinder_Factory.Registry.Item("FileUpload_fileName")
		sFileUrl = oCKFinder_Factory.Registry.Item("FileUpload_url")

		If (CKFinder_Debug) Then
			'Response.ContentType	= "text/plain"
			response.write "<scr" & "ipt type=""text/javascript"">"
			sResponse = sResponse & "CKFinder connector for classic ASP. The connector is in Debug Mode." & vblf
			sResponse = sResponse & "In order to use the connector you'll have to set CKFinder_Debug = false." & vblf
			sResponse = sResponse & "Response from the connector (including debugging messages):" & vblf
			sResponse = sResponse & "                                                                        " & vblf
			sResponse = sResponse & "Response Number: " & number & vblf
			sResponse = sResponse & "FileUpload_fileName: " & sFileName & vblf
			sResponse = sResponse & "Response Text: " & text & vblf
			sResponse = sResponse & "Debug Text: " & debugText & vblf

			sResponse = Replace( sResponse, "'", "\'")
			sResponse = Replace( sResponse, vbcr, "")
			sResponse = Replace( sResponse, vblf, "\n' + " & vbcr & "'")
			sResponse = Replace( sResponse, "</", "<\/")

			response.write "alert('" & sResponse & "');"
			response.write "</scr" & "ipt>"
		Else
			response.write "<scr" & "ipt type=""text/javascript"">"
			If ( number <> CKFinder_Connector_Error_None AND number <> CKFINDER_CONNECTOR_ERROR_UPLOADED_FILE_RENAMED AND number <> CKFINDER_CONNECTOR_ERROR_CUSTOM_ERROR ) Then
				response.write "window.parent.OnUploadCompleted(" & number &  ") ;"
			Else
				If text <> "" Then text = ", '" & Replace(text, "'", "\'") & "'"
				If (number<>1) Then text = ""
				response.write "window.parent.OnUploadCompleted(" & number &  ",'" & replace(sFileUrl & sFileName, "'", "\'") & "','" & replace(sFileName, "'", "\'") & "'" & text & ") ;"
			End If
			response.write "</scr" & "ipt>"
		End if
		response.end
	end Function
End Class

</script>
